package de.ugoe.cs.swe.exercises.lectureevent;

import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.ISharedImages;
import org.eclipse.ui.PlatformUI;

import de.ugoe.cs.swe.exercises.lecturer.Lecturer;


public class LectureEventLecturerLabelProvider extends LabelProvider implements ITableLabelProvider {
	public String getColumnText(Object obj, int index) {
		
		Lecturer lecturer = (Lecturer) obj;
		
		return (lecturer.getFirstName() + " " + lecturer.getLastName() + ", " + lecturer.getTitle());
	}

	public Image getColumnImage(Object obj, int index) {
		return null;
	}

	@Override
	public Image getImage(Object obj) {
		return PlatformUI.getWorkbench().getSharedImages().getImage(
				ISharedImages.IMG_OBJ_ELEMENT);
	}
}